version: '3'

services:
  opto-stack:
    build: cli
    image: ${IMAGE}
    container_name: opto-stack
    #tty: true
    environment:
      - VERBOSE=${VERBOSE:-0}
      - HOST=${HOST}
      - ETCD_HOST=${HOST}
      - DEMI_SITE=${DEMI_SITE}
      - PUID=${PUID}
      - PGID=${PGID}
      - DOCKER_DIR=${DOCKER_DIR}
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ./instance:/root/instance
